myfaces-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Matthias Wessendorf" <mat...@apache.org>
Subject Re: Sun Java Application Server 9
Date Mon, 18 Jun 2007 16:33:55 GMT
SJAS 9 is JavaEE 5

removing jsf-impl means, you removed the used IMPL
And only jsf-api (also shipped by the RI) is left.

A JavaEE5 container has to ignore a JSF runtime (and API), shipped
inside WEB-INF/lib.
Therefore myfaces-api / myfaces-impl aren't used.

I am not sure, how easy it is to *change* the used JSF runtime on SJAS 9.
JBoss has a parameter for this, AFAIK.

-Matthias

On 6/13/07, Juan Ignacio Sánchez Lara <juanignaciosl@gmail.com> wrote:
> Has anybody managed to make MyFaces 1.1.5 work on SJAS 9? When I try to load
> a jsf page it throws an exception:
>
> java.lang.UnsupportedOperationException
> javax.faces.application.Application.getELResolver(Application.java:443)
> ...
>
> It throws it even when I remove jsf-impl from server's lib directory, so I
> assume it's due to servlet version.
>
> --
> Juan Ignacio Sánchez Lara
> Ingeniero Informático + Técnico de Sistemas
>
> Diario: http://juanignaciosl.blogspot.com
> Ideas + Ingeniería del Software: http://iiso.blogspot.com/
>
> Fotos (todas): http://www.flickr.com/photos/juanignaciosl
> Fotos (selección): http://jpgmag.com/people/juanignaciosl


-- 
Matthias Wessendorf

further stuff:
blog: http://matthiaswessendorf.wordpress.com/
mail: matzew-at-apache-dot-org

Mime
View raw message